> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Client Payroll Approvals

> Name and signature indicate it lists client payroll approvals

Required scope: `payroll:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/list-client-payroll-approvals
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/list-client-payroll-approvals:
    get:
      operationId: listClientPayrollApprovals
      summary: List Client Payroll Approvals
      x-toku-required-scope: payroll:read
      description: |-
        Name and signature indicate it lists client payroll approvals

        Required scope: `payroll:read`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListClientPayrollApprovalsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ListClientPayrollApprovalsResponse:
      type: object
      properties:
        approvalRulesEnabled:
          type: boolean
        canApprove:
          type: boolean
        runs:
          type: array
          items:
            type: object
            properties:
              payrollRunID:
                type: string
              countryCode:
                type: string
              payPeriodStart:
                type: string
              payPeriodEnd:
                type: string
              payFrequency:
                type: string
                enum:
                  - MONTHLY
                  - SEMI_MONTHLY
                  - BIWEEKLY
                  - WEEKLY
                  - QUARTERLY
                  - ANNUAL
                  - ONE_TIME
              status:
                type: string
                enum:
                  - DRAFT
                  - PARSING
                  - MAPPED
                  - MATCHING
                  - VALIDATING
                  - REVIEW
                  - APPROVED
                  - FINALIZED
                  - REJECTED
                  - PENDING_CLIENT_APPROVAL
                  - CLIENT_REJECTED
                  - CLIENT_REQUESTED_MODIFICATION
              totalRows:
                type: number
              awaitingMyApproval:
                type: boolean
            required:
              - payrollRunID
              - countryCode
              - payPeriodStart
              - payPeriodEnd
              - payFrequency
              - status
              - totalRows
              - awaitingMyApproval
      required:
        - approvalRulesEnabled
        - canApprove
        - runs
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
